#ifndef CSMOKE_H
#define CSMOKE_H

#include "vector.h"
#include "LinkedList.h"
#include "PlayerShip.h"
#include "GunBullet.h"
#include "GunMissle.h"
#include <windows.h>

struct sSmoke
{
       sVector pos;
       int timeToLive;
};

class CSmoke
{
  private:
     CLinkedList smokeList;
     
	public:
		// class constructor
		CSmoke();
		// class destructor
		~CSmoke();
		// No description
		void update();
		// No description
		void addSmoke(sVector pos);
		// No description
		void Render();
};

#endif // CSMOKE_H
